Subject: [PATCH v2 0/2] Fix the speed of the CI (Visual Studio) tests

From: "Johannes Schindelin via GitGitGadget" <[email-masked]>
Date: Mon, 21 Oct 2019 19:59:56 +0000

I made a mistake when converting the make/prove-based test job to a 
test-tool run-command testsuite one: I lost the parallelization, resulting
in way slower CI runs.

Also, I forgot to build with DEVELOPER=1, i.e. with stricter compile flags.

This pair of patches fixes both issues.

Changes since v1:

 * Fixed typo "nore" -> "nor" in the commit message.

Johannes Schindelin (2):
  ci(visual-studio): use strict compile flags, and optimization
  ci(visual-studio): actually run the tests in parallel

 azure-pipelines.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

base-commit: d966095db01190a2196e31195ea6fa0c722aa732
Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-410%2Fdscho%2Faccelerate-ci-vs-test-v2
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-410/dscho/accelerate-ci-vs-test-v2
Pull-Request: https://github.com/gitgitgadget/git/pull/410

Range-diff vs v1:

 1:  6fba3b1c76 = 1:  6fba3b1c76 ci(visual-studio): use strict compile flags, and optimization
 2:  e3343d1740 ! 2:  07749ab720 ci(visual-studio): actually run the tests in parallel
     @@ -14,7 +14,7 @@
      
          During that transition, we needed to implement a new way to run the test
          suite in parallel, as Visual Studio users typically will only have a Git
     -    Bash available (which does not ship with `make` nore with support for
     +    Bash available (which does not ship with `make` nor with support for
          `prove`): we simply implemented a new test helper to run the test suite.
      
          This helper even knows how to run the tests in parallel, but due to a

-- 
gitgitgadget